diff --git a/changelog b/changelog
index e9f42b2..7fa390d 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20091101 tpd src/axiom-website/patches.html 20091101.01.tpd.patch
+20091101 tpd src/input/Makefile add solveperf.input
+20091101 tpd src/input/solveperf.input added
 20091031 tpd src/axiom-website/patches.html 20091031.03.tpd.patch
 20091031 tpd src/algebra/Makefile add RadicalSolvePackage.help
 20091031 tpd books/bookvol10.4 RadicalSolvePackage input, help, examples
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 456c7f9..0a9fc35 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -2213,5 +2213,7 @@ src/interp,algebra/Makefiles move help.help built to algebra<br/>
 books/bookvol10.2 AlgebraicallyClosedField input, help, examples<br/>
 <a href="patches/20091031.03.tpd.patch">20091031.03.tpd.patch</a>
 books/bookvol10.4 RadicalSolvePackage input, help, examples<br/>
+<a href="patches/20091101.01.tpd.patch">20091101.01.tpd.patch</a>
+src/input/solveperf.input added<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 4e40ea6..b2e4351 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -384,6 +384,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     setcmd.regress    shannonmatrix.regress \
     sincos.regress    sinhcosh.regress \
     sincosex.regress  sint.regress     skew.regress     slowint.regress \
+    solveperf.regress \
     solvetra.regress  space3.regress   sqmatrix.regress sqrt3.regress \
     sregset.regress \
     stbl.regress      stream2.regress  stream.regress   streams.regress \
@@ -696,7 +697,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/sincos.input   ${OUT}/sinhcosh.input \
        ${OUT}/sincosex.input ${OUT}/sininv.input     ${OUT}/sinsin.input \
        ${OUT}/sinsin2.input  ${OUT}/sint.input       ${OUT}/skew.input \
-       ${OUT}/slowint.input  ${OUT}/solvetra.input   ${OUT}/space3.input \
+       ${OUT}/slowint.input  ${OUT}/solveperf.input \
+       ${OUT}/solvetra.input   ${OUT}/space3.input \
        ${OUT}/spiral.input \
        ${OUT}/sqmatrix.input ${OUT}/sqrt3.input \
        ${OUT}/sregset.input  ${OUT}/stbl.input \
@@ -1057,6 +1059,7 @@ DOCFILES= \
   ${DOC}/sininv.input.dvi      ${DOC}/sinsin2.input.dvi    \
   ${DOC}/sinsin.input.dvi      ${DOC}/sint.input.dvi       \
   ${DOC}/skew.input.dvi        ${DOC}/slowint.input.dvi    \
+  ${DOC}/solveperf.input.dvi \
   ${DOC}/solvetra.input.dvi    ${DOC}/space3.input.dvi     \
   ${DOC}/spadprof.input.dvi    ${DOC}/spiral.input.dvi     \
   ${DOC}/sqmatrix.input.dvi    ${DOC}/sqrt3.input.dvi      \
diff --git a/src/input/solveperf.input.pamphlet b/src/input/solveperf.input.pamphlet
new file mode 100644
index 0000000..e7e9c42
--- /dev/null
+++ b/src/input/solveperf.input.pamphlet
@@ -0,0 +1,146 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input solveperf.input}
+\author{Raymond E. Rogers}
+\maketitle
+\begin{abstract}
+The last call to solve is commented out.
+It takes about 10 minutes to run.
+I do not know why.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)sys rm -f solveperf.output
+)spool solveperf.output
+)set message test on
+)set message auto off
+)clear all
+ 
+)set mes time on
+
+--S 1 of 9
+list:=[p,Vr,Vt,e]
+--R 
+--R
+--R   (1)  [p,Vr,Vt,e]
+--R                                   Type: List OrderedVariableList [p,Vr,Vt,e]
+--I                                                   Time: 0.04 (OT) = 0.04 sec
+--E 1
+
+--S 2 of 9
+eq1a:=((-Vr^3+Vr^2)*Vt+Vr^3-Vr^2)
+--R 
+--R
+--R             3     2        3     2
+--R   (2)  (- Vr  + Vr )Vt + Vr  - Vr
+--R                                                     Type: Polynomial Integer
+--I                           Time: 0.02 (EV) + 0.04 (OT) + 0.02 (GC) = 0.08 sec
+--E 2
+
+--S 3 of 9
+eq1:=((-Vr^3+Vr^2)*Vt+Vr^3-Vr^2)*R*p
+--R 
+--R
+--R                3       2          3       2
+--R   (3)  ((- R Vr  + R Vr )Vt + R Vr  - R Vr )p
+--R                                                     Type: Polynomial Integer
+--I                                                                  Time: 0 sec
+--E 3
+
+--S 4 of 9
+eq2:=Vr*Vt^3+Vr*Vt^2-Vr*Vt+Vr*p
+--R 
+--R
+--R                    3        2
+--R   (4)  Vr p + Vr Vt  + Vr Vt  - Vr Vt
+--R                                                     Type: Polynomial Integer
+--I                                                   Time: 0.02 (IN) = 0.02 sec
+--E 4
+
+--S 5 of 9
+eq3:=(R*Vr*Vt+R*Vr)*e+((R-1)*Vr+1)*Vt-R*Vr
+--R 
+--R
+--R   (5)  (R Vr Vt + R Vr)e + ((R - 1)Vr + 1)Vt - R Vr
+--R                                                     Type: Polynomial Integer
+--I                                                   Time: 0.01 (OT) = 0.01 sec
+--E 5
+
+--S 6 of 9
+eq4:=-r^2+(Vt^2)+(Vr^2)
+--R 
+--R
+--R           2     2     2
+--R   (6)  - r  + Vt  + Vr
+--R                                                     Type: Polynomial Integer
+--I                                                                  Time: 0 sec
+--E 6
+
+--S 7 of 9
+Eqlista:=[eq1a,eq2,eq3,eq4]
+--R 
+--R
+--R   (7)
+--R         3     2        3     2              3        2
+--R   [(- Vr  + Vr )Vt + Vr  - Vr , Vr p + Vr Vt  + Vr Vt  - Vr Vt,
+--R                                                     2     2     2
+--R    (R Vr Vt + R Vr)e + ((R - 1)Vr + 1)Vt - R Vr, - r  + Vt  + Vr ]
+--R                                                Type: List Polynomial Integer
+--I                                                                  Time: 0 sec
+--E 7
+
+--S 8 of 9
+Eqlist:=[eq1,eq2,eq3,eq4]
+--R 
+--R
+--R   (8)
+--R            3       2          3       2                3        2
+--R   [((- R Vr  + R Vr )Vt + R Vr  - R Vr )p, Vr p + Vr Vt  + Vr Vt  - Vr Vt,
+--R                                                     2     2     2
+--R    (R Vr Vt + R Vr)e + ((R - 1)Vr + 1)Vt - R Vr, - r  + Vt  + Vr ]
+--R                                                Type: List Polynomial Integer
+--I                                                                  Time: 0 sec
+--E 8
+
+--S 9 of 9
+solve(Eqlista,list)
+--R 
+--R
+--R   (9)
+--R   [
+--R                   4       2                              2
+--R         (- e - 1)r  + 4e r  - 4e + 2             (e + 1)r  - 2e
+--R     [p= ----------------------------, Vr= 1, Vt= --------------,
+--R                       2                                 2
+--R        2           2     2
+--R      (e  + 2e + 1)r  - 2e  - 2= 0]
+--R     ,
+--R
+--R                               2
+--R     [p= - 1, Vr= (- 2R e + 1)r  + 2R e - 1, Vt= 1,
+--R         2 2             2     2 2
+--R      (4R e  - 4R e + 1)r  - 4R e  + 4R e - 2= 0]
+--R     ]
+--R                         Type: List List Equation Fraction Polynomial Integer
+--I               Time: 0.02 (IN) + 0.87 (EV) + 0.07 (OT) + 0.11 (GC) = 1.07 sec
+--E 9
+
+-- This takes a long time. Figure out why.
+--
+--solve(Eqlist,list)
+--
+
+ 
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} http://axiom-wiki.newsynthesis.org/SandBoxShortcoming
+\end{thebibliography}
+\end{document}
